BSON_OID_IS_VALID(3)

NAME
bson_oid_is_valid - bson_oid_is_valid()

SYNOPSIS

bool
bson_oid_is_valid (const char *str, size_t length);

PARAMETERS

•   str: A string.

•   length: The length of str.

DESCRIPTION

Checks if a string containing a hex encoded string is a valid BSON ObjectID.

RETURNS

true if str could be parsed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc